# Hardware configuration file common to all Purism Librem 15 ver 3 TPM devices
{
  config,
  lib,
  modulesPath,
  pkgs,
  ...
}: {
  imports = [(modulesPath + "/installer/scan/not-detected.nix")];

  boot = {
    initrd = {
      availableKernelModules = [
        "xhci_pci" # xHCI host controller driver PCI Bus Glue
        "ahci" # AHCI SATA support
        "nvme"
        "usbhid" # USB HID transport layer
        "usb_storage" # USB Mass Storage support
        "sd_mod" # SCSI disk support
      ];
    };
    kernelModules = ["hid_multitouch" "kvm-intel" "psmouse"]; # Enable kvm for libvirtd
  };

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/0bdc11fc-c497-47ff-bcc2-3044f81f40be";
      fsType = "ext4";
    };
    "/home" = {
      device = "/dev/disk/by-uuid/9c8a9dd1-b234-4a6d-ad62-3962e85d4063";
      fsType = "ext4";
    };
  };

  swapDevices = [{device = "/dev/disk/by-uuid/05aed0b0-3a79-44f2-aa4d-e5e5724643f2";}];

  networking.useDHCP = lib.mkDefault true;

  nix.settings.max-jobs = lib.mkDefault 4;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
