# User configuration common to all MIO hosts
{
  config,
  pkgs,
  ...
}: {
  age.secrets = {
    fiona.file = ../secrets/fiona.age;
    hamish.file = ../secrets/hamish.age;
    logan.file = ../secrets/logan.age;
    xander.file = ../secrets/xander.age;
  };

  # MIO Groups:
  users.groups = {
    fiona.gid = 1004;
    hamish.gid = 1001;
    logan.gid = 1002;
    xander.gid = 1003;
  };

  # MIO Users
  users.users = {
    fiona = {
      isNormalUser = true;
      description = "Fiona McWhirter";
      uid = 1004;
      group = "fiona";
      extraGroups = ["networkmanager"];
      hashedPasswordFile = config.age.secrets.fiona.path;
    };
    hamish = {
      isNormalUser = true;
      description = "Hamish McWhirter";
      uid = 1001;
      group = "hamish";
      extraGroups = ["networkmanager"];
      hashedPasswordFile = config.age.secrets.hamish.path;
    };
    logan = {
      isNormalUser = true;
      description = "Logan Stoddart";
      uid = 1002;
      group = "logan";
      extraGroups = ["networkmanager"];
      hashedPasswordFile = config.age.secrets.logan.path;
    };
    xander = {
      isNormalUser = true;
      description = "Xander Stoddart";
      uid = 1003;
      group = "xander";
      extraGroups = ["networkmanager"];
      hashedPasswordFile = config.age.secrets.logan.path;
    };
  };
}
